Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Class MenuDragMouseEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--java.awt.AWTEvent
                  |
                  +--java.awt.event.ComponentEvent
                        |
                        +--java.awt.event.InputEvent
                              |
                              +--java.awt.event.MouseEvent
                                    |
                                    +--javax.swing.event.MenuDragMouseEvent

public class MenuDragMouseEvent
extends java.awt.event.MouseEvent

MenuDragMouseEvent is used to notify interested parties that the menu element has received a MouseEvent forwarded to it under drag conditions.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Fields inherited from class java.awt.event.MouseEvent
`MOUSE_CLICKED, MOUSE_DRAGGED, MOUSE_ENTERED, MOUSE_EXITED, MOUSE_FIRST, MOUSE_LAST, MOUSE_MOVED, MOUSE_PRESSED, MOUSE_RELEASED`

Fields inherited from class java.awt.event.InputEvent
`ALT_MASK, BUTTON1_MASK, BUTTON2_MASK, BUTTON3_MASK, CTRL_MASK, META_MASK, SHIFT_MASK`

Fields inherited from class java.awt.event.ComponentEvent
`COMPONENT_FIRST, COMPONENT_HIDDEN, COMPONENT_LAST, COMPONENT_MOVED, COMPONENT_RESIZED, COMPONENT_SHOWN`

Fields inherited from class java.awt.AWTEvent
`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, consumed, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, id, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`MenuDragMouseEvent(java.awt.Component source, int id, long when, int modifiers, int x, int y, int clickCount, boolean popupTrigger, MenuElement[] p, MenuSelectionManager m)` Constructs a MenuDragMouseEvent object.

Method Summary
`MenuSelectionManager` | `getMenuSelectionManager()` Returns the current menu selection manager.
`MenuElement[]` | `getPath()` Returns the path to the selected menu item.

Methods inherited from class java.awt.event.MouseEvent
`getClickCount, getPoint, getX, getY, isPopupTrigger, paramString, translatePoint`

Methods inherited from class java.awt.event.InputEvent
`consume, getModifiers, getWhen, isAltDown, isConsumed, isControlDown, isMetaDown, isShiftDown`

Methods inherited from class java.awt.event.ComponentEvent
`getComponent`

Methods inherited from class java.awt.AWTEvent
`getID, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MenuDragMouseEvent

    public MenuDragMouseEvent(java.awt.Component source,
                              int id,
                              long when,
                              int modifiers,
                              int x,
                              int y,
                              int clickCount,
                              boolean popupTrigger,
                              MenuElement[] p,
                              MenuSelectionManager m)

  Constructs a MenuDragMouseEvent object.
  Parameters:
    `source` - the Component that originated the event (typically `this`)
    `id` - an int specifying the type of event, as defined in `MouseEvent`
    `when` - a long identifying the time the event occurred
    `modifiers` - an int specifying any modifier keys held down, as specified in `InputEvent`
    `x` - an int specifying the horizontal position at which the event occurred, in pixels
    `y` - an int specifying the vertical position at which the event occurred, in pixels
    `clickCount` - an int specifying the number of mouse-clicks
    `popupTrigger` - a boolean -- true if the event {should?/did?} trigger a popup
    `p` - an array of MenuElement objects specifying a path to a menu item affected by the drag
    `m` - a MenuSelectionManager object that handles selections

Method Detail

### getPath

    public MenuElement[] getPath()

  Returns the path to the selected menu item.
  Returns:
    an array of MenuElement objects representing the path value

### getMenuSelectionManager

    public MenuSelectionManager getMenuSelectionManager()

  Returns the current menu selection manager.
  Returns:
    a MenuSelectionManager object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.